> For the complete documentation index, see [llms.txt](https://docs.usegravity.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usegravity.app/gravity-web/handling-errors.md).

# Handling Errors

Errors are handled by the [\<View>](/gravity-web/components/view.md) component, which has a `handleError` method stored in the `ViewContext`.\
\
You should always use a `try...catch` statement around any asynchronous code that may encounter an error. Inside your `catch` method, you can then call `context.handleError` and pass the error object.

```javascript
import { useContext } from 'react';
import { ViewContext } from 'components/lib';

function YourComponent(props){

  const viewContext = useContext(ViewContext);
  
  function doSomething(){
    try {
    
      ...
      
    }
    catch (err){
    
      viewContext.handleError(err);
      
    }
  }
}
```

This will display a banner notification along the top of the view with the error message text and also a console log.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usegravity.app/gravity-web/handling-errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
